org.eclipse.jetty.webapp

## Class OverrideDescriptor

- java.lang.Object
- - org.eclipse.jetty.webapp.Descriptor
  - - org.eclipse.jetty.webapp.WebDescriptor
    - - org.eclipse.jetty.webapp.OverrideDescriptor

    public class OverrideDescriptor
    extends WebDescriptor

OverrideDescriptor

### Field Summary

### Fields inherited from class org.eclipse.jetty.webapp.WebDescriptor

`_classNames, _distributable, _isOrdered, _majorVersion, _metaDataComplete, _minorVersion, _ordering, _parserSingleton`

### Fields inherited from class org.eclipse.jetty.webapp.Descriptor

`_parser, _root, _validating, _xml`

### Constructor Summary

Constructors
Constructor and Description
`OverrideDescriptor(Resource xml)`

### Method Summary

### Methods inherited from class org.eclipse.jetty.webapp.WebDescriptor

`addClassName, ensureParser, getClassNames, getMajorVersion, getMetaDataComplete, getMinorVersion, getOrdering, isDistributable, isOrdered, newParser, parse, processOrdering, processVersion, setDistributable, setValidating`

### Methods inherited from class org.eclipse.jetty.webapp.Descriptor

`getResource, getRoot, redirect, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### OverrideDescriptor

    public OverrideDescriptor(Resource xml)